Name:		qubes-manager
Version:	4.1.23
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
%if 0%{?fedora} >= 34
Requires:	python%{python3_pkgversion}-qt5
%else
Requires:	python%{python3_pkgversion}-PyQt5
%endif
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.18
Requires:	python%{python3_pkgversion}-qasync
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	make
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:  qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations PYTHON=%{__python3}
make python PYTHON=%{__python3}

%install
make python_install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-global-settings
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/bin/qvm-template-gui
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/global_settings.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py
%{python3_sitelib}/qubesmanager/qvm_template_gui.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/global_settings.css
%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_globalsettingsdlg.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/ui_qvmtemplate.py
%{python3_sitelib}/qubesmanager/ui_templateinstallconfirmdlg.py
%{python3_sitelib}/qubesmanager/ui_templateinstallprogressdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_global_settings.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-global-settings.desktop
/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Tue Mar 01 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager.git

* Tue Mar 01 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 94f0e9a
- version 4.1.23-1

* Mon Feb 28 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f5407d
- tests: drop remaining parts of DSA-4371 workaround

* Sat Feb 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd6d55e
- Relax check on repository qrexec call

* Wed Nov 17 2021 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - 77dbc73
- remove all traces of the dsa-4371 workaround

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a02e307
- version 4.1.22-1

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e16ff76
- rpm/deb: require new enough python3-qubesadmin

* Mon Nov 08 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d20765d
- Fix functioning of shutdown-idle checkbox in settings

* Fri Nov 05 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 25c6683
- Clear property cache in VM settings' apply

* Thu Nov 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14fc277
- version 4.1.21-1

* Mon Nov 01 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6879e63
- Change spacing in Global Settings

* Mon Nov 01 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c2ad70e
- Fix overzealous Default NetVM sanity check

* Sat Oct 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 95d8c09
- version 4.1.20-1

* Tue Oct 26 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bda499e
- spec: add BR make and update R pyqt5

* Thu Oct 14 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 24d8c23
- Make python3-setuptools really a BR

* Thu Oct 14 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 55653bc
- Update translation source files

* Thu Oct 14 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f86db3
- rpm: add BR python3-setuptools

* Wed Oct 13 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8f7fefa
- Improved design of Global Settings

* Wed Oct 06 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - bad37e9
- Add '?' to allowed characters in file paths in Manager tools

* Mon Sep 13 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 206480b
- Better error message on some cycles on setting default NetVM

* Thu Sep 09 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7ca588e
- Fix resizing of Device List widget in VM settings

* Wed Sep 08 2021 Andrew David Wong <adw@andrewdavidwong.com> - cf2699a
- Improve language

* Tue Aug 31 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7ed7e3
- version 4.1.19-1

* Tue Aug 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d551522
- restore: do not show error after unmounting a backup disk

* Tue Aug 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b94a425
- version 4.1.18-1

* Tue Aug 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5981520
- Fix DNS formatting

* Thu Jul 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 239111d
- version 4.1.17-1

* Thu Jul 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 703ea05
- Fix return value of QubesTableModel.flags()

* Wed Jun 30 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c5e307b
- global_settings: add space in QubesException msg

* Wed Jun 23 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c7a65ac
- global_settings: better handling of exc in GuiVM

* Sun Jun 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83e05ac
- tests: fix choosing different template

* Sun Jun 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 50cd327
- Skip tests that depends on a VM to not be running, if it's running

* Sun Jun 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63488b1
- Fix tests after changing how settings window is opened

* Sat Jun 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 16fa775
- Fix test after changing how installing fresh qube is done

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa31993
- version 4.1.16-1

* Sat May 29 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 251c5fd
- Fix too long line

* Sun May 16 2021 Saswat Padhi <saswat.sourav@gmail.com> - bf37bb3
- Avoid spurious warnings when setting NetVM

* Sat May 15 2021 herypt <70331266+herypt@users.noreply.github.com> - 01d3b2c
- Add updater to Qubes Tools menu

* Sun Apr 11 2021 3hhh <tripleh@hackingthe.net> - 17e6bf0
- mock QubesVMNotFoundError

* Sat Apr 10 2021 donoban <donoban@riseup.net> - 5558127
- Add check before launch qvm_start()

* Sat Apr 10 2021 donoban <donoban@riseup.net> - be39ec8
- Fix main()

* Fri Apr 09 2021 3hhh <tripleh@hackingthe.net> - 72cbec7
- manager: Handle removal of VM during on_shutdown.

* Mon Apr 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1afd46d
- Make pylint happy

* Sat Apr 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fcf5db8
- qvm-template-gui: auto resize columns to the content

* Sat Apr 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c9514c
- qvm-template-gui: change date format to '%d %b %Y'

* Sat Apr 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 099bbe9
- qvm-template-gui: UX improvements

* Sat Apr 03 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 883ae3b
- Pass the command line arguments to LogDialog

* Fri Apr 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be4e205
- Make pylint happy

* Fri Apr 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 03a34fb
- qvm-template-gui: improve displaying progress

* Fri Apr 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 679a239
- qvm-template-gui: UI improvements

* Tue Mar 30 2021 Encrypted Giraffe <github@encryptedgiraffe.xyz> - 2e548f9
- Fix spelling mistake in warning message

